Skip to main content
GET
/
v1
/
b2b
/
organizations
/
{organization_id}
/
connected_apps
/
{connected_app_id}
C#
// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
const stytch = require('stytch');

const client = new stytch.B2BClient({
  project_id: '${projectId}',
  secret: '${secret}',
});

const params = {
  organization_id: "${organizationId}",
  connected_app_id: "${exampleConnectedAppClientID}",
};

const options = {
  authorization: {
    session_token: '${sessionToken}',
  },
};

client.Organizations.GetConnectedApp(params, options)
  .then(resp => { console.log(resp) })
  .catch(err => { console.log(err) });
{
  "connected_app_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "client_type": "<string>",
  "active_members": [
    {
      "member_id": "<string>",
      "granted_scopes": [
        "<string>"
      ]
    }
  ],
  "status_code": 123,
  "logo_url": "<string>"
}
Retrieve information about the specified Connected App as well as a list of the Organization’s Members who have the App installed and the scopes they requested at completion of their last authorization flow with the App.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Stytch-Member-Session
string

A Stytch session that can be used to run the request with the given member's permissions.

X-Stytch-Member-SessionJWT
string

A Stytch Session JSON Web Token (JWT) that can be used to run the request with the given member's permissions.

Path Parameters

organization_id
string
required

Globally unique UUID that identifies a specific Organization. The organization_id is critical to perform operations on an Organization, so be sure to preserve this value. You may also use the organization_slug or organization_external_id here as a convenience.

connected_app_id
string
required

The ID of the Connected App.

Response

Successful response

connected_app_id
string
required

The ID of the Connected App.

name
string
required

The name of the Connected App.

description
string
required

A description of the Connected App.

client_type
string
required

The type of Connected App. Supported values are first_party, first_party_public, third_party, and third_party_public.

active_members
object[]
required

Details about Members who has installed a Connected App.

status_code
integer<int32>
required
logo_url
string